	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
	$key=mysqli_real_escape_string($connect, $_POST['key']);
	$email=mysqli_real_escape_string($connect, $_POST['email']);
	$telpon=mysqli_real_escape_string($connect, $_POST['telephone']);
	$nama_pelanggan=mysqli_real_escape_string($connect, $_POST['name_customer']);
	$alamat=mysqli_real_escape_string($connect, $_POST['address']);
	$customercode=mysqli_real_escape_string($connect, $_POST['customercode']);

	$getusers = mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	      = mysqli_fetch_array($getusers);
	$jumlah   = mysqli_num_rows($getusers);
	
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);

	$cek_email	= mysqli_num_rows(mysqli_query($connect,"SELECT email FROM customer WHERE email='$email'"));
	$cek_hp		= mysqli_num_rows(mysqli_query($connect,"SELECT telephone FROM customer WHERE telephone='$telpon'"));


	if ($jumlah > 0){
	
	if ($cek_email > 0){
		
	$json = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Email is already registered'
	);
    echo json_encode($json);
	
	}else{
	
	  include "../fungsi_thumb.php";
  $lokasi_file 		= $_FILES['img']['tmp_name'];
  $tipe_file   		= $_FILES['img']['type'];
  $nama_file   		= $_FILES['img']['name'];
  $acak        		= rand(1,99);
  $nama_file_unik	= $acak.$nama_file; 
  
  
    if (!empty($lokasi_file)){

	UploadImage($nama_file_unik);
	mysqli_query($connect,"INSERT INTO customer(name_customer,
								  email,
								  telephone,
								  address,
								  customercode,
								  img,
                                  user) 
                    VALUES('$nama_pelanggan',
						   '$email',
						   '$telpon',
						   '$alamat',
						   '$customercode',
						   '$nama_file_unik',
                           '$m[phone_number]')");
						   
	}else{
	mysqli_query($connect,"INSERT INTO customer(name_customer,
								  email,
								  telephone,
								  address,
								  customercode,
								  img,
                                  user) 
                    VALUES('$nama_pelanggan',
						   '$email',
						   '$telpon',
						   '$alamat',
						   '$customercode',
						   'avatar.png',
                           '$m[phone_number]')");
  }

 $json = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Success'
   );

    echo json_encode($json);

	}

	}else{
	
	$json = array(
    'status' 	=> 'true',
    'errCode' 	=> '00',
	'msg' 		=> 'User Not Found'
   );

    echo json_encode($json);	
	}
	?>